#!/usr/bin/python
import zypp # import the module
myRepoString = "http://linux-ftp.jf.intel.com/pub/mirrors/MeeGo/snapshots/testing/1.2.80/1.2.80.13.0.20110802.85/repos/oss/ia32/packages/"
repoTmpPath = "/tmp/repoTmpPath" # temporary Path

myZypp		= zypp.ZYppFactory_instance().getZYpp() # create the instance
myTarget	= myZypp.initializeTarget(zypp.Pathname(repoTmpPath)) # target (aka "root")
repoManagerOptions = zypp.RepoManagerOptions(zypp.Pathname(repoTmpPath)) # where to store the metadata
repoManager	= zypp.RepoManager(repoManagerOptions) # manages multiple repositories

myRepoInfo = zypp.RepoInfo() # constructor
myRepoInfo.addBaseUrl(zypp.Url(myRepoString)) # add URL
myRepoInfo.setAlias("default") # add alias
myRepoInfo.setName("default") # add name
myRepoInfo.setEnabled(True) # enable
myRepoInfo.setType(zypp.RepoType.RPMMD) # for only RPMMD - notice the checkbox ;)
myRepoInfo.setGpgCheck(False) # don't check for now

if repoManager.hasRepo ("default"):
	repoManager.removeRepository (myRepoInfo)

repoManager.addRepository(myRepoInfo) # add the repoInfo
repoManager.refreshMetadata(myRepoInfo) # fetch metadata
repoManager.buildCache(myRepoInfo) # build cache
repoManager.loadFromCache(myRepoInfo) # load cache

pool		= myZypp.pool() # pool of packages

group = "tablet"
#pattern = pool.byIdentBegin (zypp.ResKind.pattern, group)

for item in pool: # iterate over the pool
	msg = ""
	if zypp.isKindPattern(item) and str(item.name()) == "tablet":
		msg += str(item.name())
                pattern= zypp.asKindPattern(item)
                contents = pattern.contents();
		print msg,
repoManager.removeRepository(myRepoInfo) # add the repoInfo
